<?php

namespace GunTab;

use Dragon\Abstracts\AdminMenuAbstract as DragonMenu;

class AdminMenu extends DragonMenu
{
	protected static $rootMenu = [
		'slug'			=> 'guntab-settings',
		'menu-text'		=> 'GunTab Payments',
		'icon'			=> 'dashicons-vault',
		'page-title'	=> 'Settings',
		'capabilities'	=> 'manage_options',
	];
	
	protected static $submenus = [
		'guntab-settings' => [
			'slug'			=> 'guntab-settings',
			'menu-text'		=> 'Settings',
			'page-title'	=> 'Settings',
			'capabilities'	=> 'manage_options',
			'callback'		=> 'GunTab\\Pages\\AdminOptions',
		],
		'guntab-tools' => [
			'slug'			=> 'guntab-tools',
			'menu-text'		=> 'Tools',
			'page-title'	=> 'Tools',
			'capabilities'	=> 'manage_options',
			'callback'		=> 'GunTab\\Pages\\AdminTools',
		],
		'guntab-log' => [
			'slug'			=> 'guntab-log',
			'menu-text'		=> 'Log',
			'page-title'	=> 'Plugin Log',
			'capabilities'	=> 'manage_options',
			'callback'		=> 'Dragon\\Pages\\AdminLog',
		],
	];
}

