<?php

require_once('vendor/autoload.php');

spl_autoload_register(function ($className)
{
	$ns = 'GunTab\\';
	if (strpos($className, $ns) !== false) {

		$noNamespace = substr($className, strlen($ns));
		$normalizedClassName = str_replace('\\', '/', $noNamespace);
		$fullPathFile = __DIR__ . '/app/' . $normalizedClassName . '.php';
		if (($realPath = realpath($fullPathFile)) !== false) {
			require_once($realPath);
		}

	}
});
