<?php

/**
 * @package GunTab Payment Gateway
 *
 * Plugin Name: GunTab Payment Gateway
 * Plugin URI: https://www.guntab.com/documentation/woocommerce-plugin
 * Description: GunTab is the only safe way to get paid for firearm and ammo online. This free plugin adds a "Pay with GunTab" button to your WooCommerce checkout page.
 * Version: 0.1.2
 * Tested up to: 5.7
 * WC tested up to: 5.1
 * Requires PHP: 7.2
 * Author: GunTab
 * Author URI: https://www.guntab.com
 * Text Domain: guntab
 * License: GPLv3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 **/

use Dragon\Config;
use GunTab\Rest;
use Dragon\Core;

require_once('autoloader.php');

Config::$namespace = 'guntab';
Config::$pluginLoaderFile = __FILE__;
Config::$pluginDir = __DIR__;


Rest::init();
Core::init();
