<?PHP
use GunTab\Rest;

if (array_key_exists('notice', $pageData)) {
	echo $pageData['notice'];
}

?>

<div>
<h1><?php echo get_admin_page_title(); ?></h1>
	<form method="POST">
		<table class="form-table">
			<tr class="form-field form-required">
				<th scope="row">
					<label for="guntab_regenerate_webhook_url">
						Regenerate Webhook URL
					</label>
				</th>
				<td>
					<input
						type="submit"
						class="button button-danger"
						name="guntab_regenerate_webhook_url"
						id="guntab_regenerate_webhook_url"
						value="Regenerate"
					/>
					<p class="description">Use this button to regenerate your webhook URL. IMPORTANT: Your old webhook
						URL will no longer function and you must update your GunTab account with
						the new Webhook URL as described on the
						<a href="/wp-admin/admin.php?page=wc-settings&tab=checkout&section=guntab">WooCommerce Settings Page for GunTab</a>.
						<br /><br />
						Your current webhook URL is: <code><?php echo Rest::getWebhookUrl(); ?></code>
					</p>
				</td>
			</tr>
		</table>
	</form>
</div>